package edu.mermet.tp9.fenetres;

import javax.swing.*;
import java.awt.*;

public class ConfigurationMenu extends JDialog {
    public ConfigurationMenu() {
        super();
        setTitle("Configuration des menus");
        init();
        pack();
        setVisible(true);
    }

    public void init() {
        this.setModal(true);
        getContentPane().setLayout(new BoxLayout(getContentPane(),BoxLayout.PAGE_AXIS));
        JPanel conversion = new JPanel();
        JPanel texte = new JPanel();
        JPanel diapo = new JPanel();
        JPanel btn = new JPanel();
        JPanel valid = new JPanel();

        JLabel texteConversion = new JLabel("Conversion Celsuis/Farenheit");
        JLabel saisieTexte = new JLabel("Saisie de texte");
        JLabel diaporama = new JLabel("Diaporama");
        JLabel boutons = new JLabel("Boutons");

        ButtonGroup group1 = new ButtonGroup();
        JRadioButton auto1 = new JRadioButton("Auto");
        JRadioButton affiche1 = new JRadioButton("Affiché");
        JRadioButton cache1 = new JRadioButton("Caché");

        group1.add(auto1);
        group1.add(affiche1);
        group1.add(cache1);

        ButtonGroup group2 = new ButtonGroup();
        JRadioButton auto2 = new JRadioButton("Auto");
        JRadioButton affiche2 = new JRadioButton("Affiché");
        JRadioButton cache2 = new JRadioButton("Caché");

        group2.add(auto2);
        group2.add(affiche2);
        group2.add(cache2);

        ButtonGroup group3 = new ButtonGroup();
        JRadioButton auto3 = new JRadioButton("Auto");
        JRadioButton affiche3 = new JRadioButton("Affiché");
        JRadioButton cache3 = new JRadioButton("Caché");

        group3.add(auto3);
        group3.add(affiche3);
        group3.add(cache3);

        ButtonGroup group4 = new ButtonGroup();
        JRadioButton auto4 = new JRadioButton("Auto");
        JRadioButton affiche4 = new JRadioButton("Affiché");
        JRadioButton cache4 = new JRadioButton("Caché");

        group4.add(auto4);
        group4.add(affiche4);
        group4.add(cache4);

        JButton valider = new JButton("Valider");
        JButton annuler = new JButton("Annuler");

        conversion.add(texteConversion);
        conversion.add(auto1);
        conversion.add(affiche1);
        conversion.add(cache1);
        conversion.setLayout(new FlowLayout(FlowLayout.RIGHT));

        texte.add(saisieTexte);
        texte.add(auto2);
        texte.add(affiche2);
        texte.add(cache2);
        texte.setLayout(new FlowLayout(FlowLayout.RIGHT));

        diapo.add(diaporama);
        diapo.add(auto3);
        diapo.add(affiche3);
        diapo.add(cache3);
        diapo.setLayout(new FlowLayout(FlowLayout.RIGHT));


        btn.add(boutons);
        btn.add(auto4);
        btn.add(affiche4);
        btn.add(cache4);
        btn.setLayout(new FlowLayout(FlowLayout.RIGHT));

        valid.add(valider);
        valid.add(annuler);
        valid.setLayout(new FlowLayout(FlowLayout.CENTER));

        add(conversion);
        add(texte);
        add(diapo);
        add(btn);
        add(valid);

    }

    public static void main(String[] args) {
        SwingUtilities.invokeLater(ConfigurationMenu::new);
    }
}
